Update an Expenditure Run in API Explorer
Ask AI
This endpoint creates an individual expenditure for a client.
POST
/api/v1/client/{client_uuid}/expenditure/{lifeStage_uuid}/custom/{expenditure_uuid}
curl \
--request POST 'https://api.plannrcrm.com/api/v1/client/f6aa1670-dcf0-484e-a0c5-08590fe89a84/expenditure/dcf0-484e-a0c5-08590fe89a84-f6aa1670/custom/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"amount": 50000,
"life_stage_section_uuid": "7bf733ef-893d-46ee-b4e3-a60e58944968"
}'
Request examples
{
"amount": 50000,
"life_stage_section_uuid": "7bf733ef-893d-46ee-b4e3-a60e58944968"
}
Response examples (200)
[
{
"uuid": "2f7a3ad6-1827-41bd-9c2c-768aa9f54efe",
"created_at": "2026-10-09T13:38:24+01:00",
"updated_at": "2026-10-09T13:38:24+01:00",
"name": "Electricity",
"section": "Housekeeping Expenses",
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"position": "1",
"life_stage_uuid": "cd92b10b-f56a-4e35-9502-006fafe13f93",
"life_stage_section_uuid": "3d69e545-bc18-4ac0-a88f-d2eb9c0327cf",
"life_stage_field_uuid": "c5f2cd3a-3341-4816-96ba-dbdfa7713397",
"accounts": "[]"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}